Package org.apache.ignite.internal.util

## Class GridSerializableCollection<E>

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - org.apache.ignite.internal.util.GridSerializableCollection<E>

All Implemented Interfaces:
  `Serializable`, `Iterable<E>`, `Collection<E>`

Direct Known Subclasses:
  `BitSetIntSet`, `FlatCollectionWrapper`, `GridCacheValueCollection`, `PredicateCollectionView`, `ReadOnlyCollectionView`, `ReadOnlyCollectionView2X`, `TransformCollectionView`

    public abstract class GridSerializableCollection<E>
    extends AbstractCollection<E>
    implements Serializable

Makes `AbstractCollection` as `Serializable` and is useful for making anonymous serializable collections. It has no extra logic or state in addition to `AbstractCollection`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`GridSerializableCollection()`

### Method Summary

### Methods inherited from class java.util.AbstractCollection

`add, addAll, clear, contains, containsAll, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`equals, hashCode, parallelStream, removeIf, spliterator, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### GridSerializableCollection

    public GridSerializableCollection()